package com.cirs.biz.service;

import java.util.List;
import com.cirs.biz.domain.SysTrain;
import com.cirs.biz.domain.TrainReturn;
import com.cirs.biz.domain.VerificationData;

/**
 * 训练集数据列Service接口
 * 
 * @author allen
 * @date 2023-11-28
 */
public interface ISysTrainService 
{
    /**
     * 查询训练集数据列
     * 
     * @param id 训练集数据列主键
     * @return 训练集数据列
     */
    public SysTrain selectSysTrainById(Long id);

    /**
     * 查询训练集数据列列表
     * 
     * @param sysTrain 训练集数据列
     * @return 训练集数据列集合
     */
    public List<SysTrain> selectSysTrainList(SysTrain sysTrain);

    /**
     * 新增训练集数据列
     * 
     * @param sysTrain 训练集数据列
     * @return 结果
     */
    public int insertSysTrain(SysTrain sysTrain);

    /**
     * 修改训练集数据列
     * 
     * @param sysTrain 训练集数据列
     * @return 结果
     */
    public int updateSysTrain(SysTrain sysTrain);

    /**
     * 批量删除训练集数据列
     * 
     * @param ids 需要删除的训练集数据列主键集合
     * @return 结果
     */
    public int deleteSysTrainByIds(Long[] ids);

    /**
     * 删除训练集数据列信息
     * 
     * @param id 训练集数据列主键
     * @return 结果
     */
    public int deleteSysTrainById(Long id);

    public String importTrain(List<SysTrain> trainList, boolean updateSupport, String operName);

    public Long getComponentId(String result);

    public List<SysTrain> alldata();


    public List<TrainReturn> getComponentids();

    public List<VerificationData> gettraindataset();
}
